# Class ExonSpliceCharacterizer

java.lang.Object
org.snpeff.interval.ExonSpliceCharacterizer

public class ExonSpliceCharacterizer extends Object
Characterize exons based on alternative splicing References: "Alternative splicing and evolution - diversification, exon definition and function" (see Box 1)

Author:
  pablocingolani

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`MAX_EXONS`
`static final int`
`SHOW_EVERY`

## Constructor Summary

Constructors
Constructor
Description
`ExonSpliceCharacterizer(String genomeVer)`
`ExonSpliceCharacterizer(Genome genome)`

## Method Summary

Modifier and Type
Method
Description
`CountByType`
`characterize()`
Characterize all exons
`void`
`setVerbose(boolean verbose)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MAX_EXONS

public static final int MAX_EXONS

See Also:
  - Constant Field Values

### SHOW_EVERY

public static final int SHOW_EVERY

See Also:
  - Constant Field Values

## Constructor Details

### ExonSpliceCharacterizer

public ExonSpliceCharacterizer(Genome genome)

### ExonSpliceCharacterizer

public ExonSpliceCharacterizer(String genomeVer)

## Method Details

### characterize

public CountByType characterize()
Characterize all exons

### setVerbose

public void setVerbose(boolean verbose)